This document includes math equations (highlighted in red) which are best viewed with Firefox version 4.0 or higher, or another MathML-aware browser. There is also a PDF version of this document.
libdevice User's Guide (PDF) - v9.2.148 (older) - Last updated June 12, 2018 - Send Feedback

## 3.264. __nv_rsqrtf

Prototype:

    float @__nv_rsqrtf(float %x)

Description:

Calculate the reciprocal of the nonnegative square root of `x`, 1 / x .

Returns:

Returns 1 / x .

- __nv_rsqrtf( + ∞ ) returns +0.

- __nv_rsqrtf( ± 0 ) returns ± ∞ .

- __nv_rsqrtf(`x`) returns NaN if `x` is less than 0.

Note:

For accuracy information for this function see the CUDA C Programming Guide, Appendix D.1, Table 7.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes